#ifndef _BERGEN_LISTENER_h_
#define _BERGEN_LISTENER_h_

class bergenListener
		{
		public:
		 bergenListener(class bergenServer *server);
		 ~bergenListener(void);
		 virtual void setPosition(float x, float y, float z);
		 inline int handle(void) const { return handle_; }
		 inline class bergenServer* server(void) const { return server_; }
		 inline float positionX(void) { return positionX_; };
		 inline float positionY(void) { return positionY_; };
		 inline float positionZ(void) { return positionZ_; };
		 virtual void kill(void);
		 virtual void createRemote(void);	/* This should only be called by bergenServer */
		 virtual void killRemote(void);	/* This should only be called by bergenServer */
		 virtual int removable(void);
		protected:
		 static int NextHandle;
		 int handle_; 
		 float positionX_;
		 float positionY_;
		 float positionZ_;
		 class bergenServer* server_;
		 int killed_;
		};

#endif
